Subject: bug#7432: 24.0.50; Display change

From: [email-masked]
Date: Sat, 20 Nov 2010 23:10:16 -0500

Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, [email-masked] writes:
>
>> I use the following:
>>   (setq gnus-summary-line-format "%8{%4k│%}%9{%U%R%z%}%8{│%}%*%(%-23,23f%)%7{║%} %6{%B%} %s\n"
>> 	gnus-summary-dummy-line-format "    %8{│%}   %(%8{│%}                       %7{║%}%) %6{┏○%}  %S\n"
>> 	gnus-sum-thread-tree-indent " "
>> 	gnus-sum-thread-tree-root "┏● " 
>> 	gnus-sum-thread-tree-false-root " ○ "
>> 	gnus-sum-thread-tree-single-indent " ● "
>> 	gnus-sum-thread-tree-leaf-with-other "┣━━❯ " 
>> 	gnus-sum-thread-tree-vertical "┃"
>> 	gnus-sum-thread-tree-single-leaf "┗━━❯ ")
>
>> Instead of seeing a box for `gnus-sum-thread-tree-leaf-with-other`
>> and `gnus-sum-thread-tree-single-leaf', I now see a box with
>> the characters "27" "6F" ("27" is on top of "6F").
>
>> How do I get the empty box back?
>
> Emacs now displays the Unicode hex-code for characters of no
> font.  If you always want to see empty box for such
> characters, please do:
>
> (setq glyphless-char-display-control
>       '((format-control . thin-space) (no-font . empty-box)))
> (update-glyphless-char-display)
>
> Or, if you want to see empty box only for U+276F, do:
>
> (aset glyphless-char-display #x276F 'empty-box)
>
> Please note that we may change these interfaces for
> improvement in a near feature.
>
> By the way, why do you specify the character U+276F for
> which you don't have a font?

I got it (the Gnus "eye candy") a while back from here:

  http://www.emacswiki.org/emacs/TomRauchenwald